package Token

import (
	"letu/DB"
	"time"
)

func GetToken(mobile string) string {
	token := DB.Redis.Get("token_" + mobile)
	if token == nil {
		return ""
	}
	return token.(string)
}

func SaveToken(mobile, token string) {
	DB.Redis.Set("token_"+mobile, token, time.Second*3600*24*365)
}
